<html>
	<head>
		<script src="https://code.jquery.com/jquery-2.1.1.min.js" type="text/javascript"></script>
		<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.1/css/select2.min.css" rel="stylesheet" />
		<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.1/js/select2.min.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				var country = ["Australia", "Bangladesh", "Denmark", "Hong Kong", "Indonesia", "Netherlands", "New Zealand", "South Africa"];
				$("#country").select2({
				  data: country
				});
				var country_info = ["Australian Open Tennis", "Tourism Australia","Australian Election","Denmark Flag","Study in Denmark"];
				loadCountryInfo(country_info);
				
				$("#country").on("change",function() {
					var selected_country = $(this).val();
					var selected_country_info = [];
					$.each(country_info, function( key, value ) {
					  if(value.indexOf(selected_country)!= -1) {
					  selected_country_info.push(value );
					  }
					});
					$('#country_info').empty();
					loadCountryInfo(selected_country_info);
				});
			});
			function loadCountryInfo(country_info) {
				$("#country_info").select2({
				  data: country_info
				});
			}
		</script>
	</head>
	<body>
		<h1>Dependent Auto Suggest with jQuery</h1>
		<div>
			<select id="country" style="width:300px;">
			<option>Choose Country</option>
			<!-- Dropdown List Option -->
			</select>
			<select id="country_info" style="width:300px;">
			<option>Select</option>
			<!-- Dropdown List Option -->
			</select>
		</div>
	</body>
</html>